package com.mycompany.workingwithnetworking;

import android.app.Activity;
import android.app.SearchManager;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;


public class Intents extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_intents);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_intents, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    public void onClickBrowse(View v) {
        Intent browseIntent = new Intent();
        browseIntent.setAction(Intent.ACTION_VIEW);
        browseIntent.setData(Uri.parse("http://www.google.com"));
        startActivity(browseIntent);
    }

    public void onClickSearch(View v) {
        Intent searchIntent = new Intent();
        searchIntent.setAction(Intent.ACTION_WEB_SEARCH);
        searchIntent.putExtra(SearchManager.QUERY, "Android Developer");
        startActivity(searchIntent);
    }

    public void onClickPhone(View v) {
        Intent dialIntent = new Intent();
        dialIntent.setAction(Intent.ACTION_DIAL);
        dialIntent.setData(Uri.parse("tel:1234567788"));
        startActivity(dialIntent);
    }

    public void onClickMap(View v) {
        Intent mapIntent = new Intent();
        mapIntent.setAction(Intent.ACTION_VIEW);
        mapIntent.setData(Uri.parse("geo:-33.068528,24.433594"));
        startActivity(mapIntent);
    }

    public void onClickSms(View v) {
        Intent smsIntent = new Intent();
        smsIntent.setAction(Intent.ACTION_VIEW);
        smsIntent.setType("vnd.android-dir/mms-sms");
        smsIntent.putExtra("address", "1234567788");
        smsIntent.putExtra("sms_body", "This is a test!");
        startActivity(smsIntent);
    }

    public void onClickContact(View v) {
        Intent contactIntent = new Intent();
        contactIntent.setAction(Intent.ACTION_PICK);
        contactIntent.setData(ContactsContract.Contacts.CONTENT_URI);
        startActivityForResult(contactIntent,100);
    }
}
